Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 333531 - [TRACKER] portage migration to git
Summary: [TRACKER] portage migration to git
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High enhancement with 55 votes (vote)
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords: Tracker
: 365803 430280 (view as bug list)
Depends on: 333701 333705 502060 502062 333685 333687 333691 333697 333709 418431 449844 523828 553906
Blocks:
  Show dependency tree
 
Reported: 2010-08-19 23:11 UTC by Thilo Bangert (RETIRED) (RETIRED)
Modified: 2019-10-02 20:57 UTC (History)
107 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thilo Bangert (RETIRED) (RETIRED) gentoo-dev 2010-08-19 23:11:42 UTC
This is the tracker bug for all things related to Git migration.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-05-06 16:15:34 UTC
*** Bug 365803 has been marked as a duplicate of this bug. ***
Comment 2 Andreas K. Hüttel gentoo-dev 2012-05-25 21:45:38 UTC
Given the clear outcome of the extensive discussion on the -dev mailinglist, I'm taking the liberty of removing git-cvsserver support as a blocker here.

http://archives.gentoo.org/gentoo-dev/msg_9c0d10814fb4188e0becbcda2f55490b.xml
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-08-09 12:07:34 UTC
*** Bug 430280 has been marked as a duplicate of this bug. ***
Comment 4 Herbert Wantesh 2013-07-08 18:30:06 UTC
this bug is open by now for 3!!! years ... in times where governments are analyzing every step we take and use trojans/rootkits to get access to computers, gentoo is the easiest to hack linux distribution out there. I mean the svn access is not open to the public and no one can verify that mods on ebuilds or from a specific maintainer. all it takes is just a poisend dns entry and the whole system security is gone after an update. i thing this bug should be fixed and closed as soon as possbile.
Comment 5 Jan Matějka (RETIRED) gentoo-dev 2013-07-08 18:36:51 UTC
(In reply to puchu from comment #4)
> this bug is open by now for 3!!! years ... in times where governments are
> analyzing every step we take and use trojans/rootkits to get access to
> computers, gentoo is the easiest to hack linux distribution out there.

There is FEATURES=webrsync-gpg

> I
> mean the svn 

gentoo-x86 is cvs.

> access is not open to the public and no one can verify that
> mods on ebuilds or from a specific maintainer.

afaik all the repositories are public in RO

> all it takes is just a
> poisend dns entry and the whole system security is gone after an update. i
> thing this bug should be fixed and closed as soon as possbile.
Comment 6 Richard Freeman gentoo-dev 2013-07-08 21:44:36 UTC
> i
> thing this bug should be fixed and closed as soon as possbile.

I'm sure the 90 people who you just emailed about this all agree, which is why we're on the CC list. 

If you want to help look at the bugs and write code or docs or something, or find somebody you can pay to help out. Stating the obvious doesn't make anything happen faster. That's basically how volunteer based projects everywhere work...
Comment 7 Amadeusz Żołnowski gentoo-dev 2013-07-09 18:08:00 UTC
puchu: I was so happy when I saw an e-mail titled "portage migration to git" expecting some changes, especially I hate the CVS so much, but your comment has disappointed me...

(In reply to Richard Freeman from comment #6)
> > i
> > thing this bug should be fixed and closed as soon as possbile.
> 
> I'm sure the 90 people who you just emailed about this all agree, which is
> why we're on the CC list. 
> 
> If you want to help look at the bugs and write code or docs or something, or
> find somebody you can pay to help out.

Me, for example, if it's about git and security I could sell a bit of my spare time. :-)

> Stating the obvious doesn't make
> anything happen faster. That's basically how volunteer based projects
> everywhere work...